Package org.opensaml.saml.saml2.metadata.impl

# Class RoleDescriptorXSAnyAdapter.MutableChildrenList.MutableChildrenListIterator<E>

java.lang.Object
org.opensaml.saml.saml2.metadata.impl.RoleDescriptorXSAnyAdapter.MutableChildrenList.MutableChildrenListIterator<E>

Type Parameters:
  `E` - the type of the iterator

All Implemented Interfaces:
  `Iterator<E>`, `ListIterator<E>`

Enclosing class:
  RoleDescriptorXSAnyAdapter.MutableChildrenList<T extends XMLObject>

private class RoleDescriptorXSAnyAdapter.MutableChildrenList.MutableChildrenListIterator<E> extends Object implements ListIterator<E>
ListIterator for mutable children which disallows removal.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ListIterator<E>`
`wrapped`
The wrapper iterator.

## Constructor Summary

Constructors
Constructor
Description
`MutableChildrenListIterator(ListIterator<E> iter)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(E e)`
`boolean`
`hasNext()`
`boolean`
`hasPrevious()`
`E`
`next()`
`int`
`nextIndex()`
`E`
`previous()`
`int`
`previousIndex()`
`void`
`remove()`
`void`
`set(E e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### wrapped

@Nonnull private ListIterator<E> wrapped
The wrapper iterator.

## Constructor Details

### MutableChildrenListIterator

public MutableChildrenListIterator(@Nonnull ListIterator<E> iter)
Constructor.

Parameters:
  `iter` - the wrapped iterator

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`
Specified by:
  `hasNext` in interface `ListIterator<E>`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`
Specified by:
  `next` in interface `ListIterator<E>`

### hasPrevious

public boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `ListIterator<E>`

### previous

public E previous()

Specified by:
  `previous` in interface `ListIterator<E>`

### nextIndex

public int nextIndex()

Specified by:
  `nextIndex` in interface `ListIterator<E>`

### previousIndex

public int previousIndex()

Specified by:
  `previousIndex` in interface `ListIterator<E>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<E>`
Specified by:
  `remove` in interface `ListIterator<E>`

### set

public void set(E e)

Specified by:
  `set` in interface `ListIterator<E>`

### add

public void add(E e)

Specified by:
  `add` in interface `ListIterator<E>`